.navbar {
    background-color: #0C322B;
    width: 100%;
    height: 74px;
    display: flex;
    align-items: center;
    justify-content: space-between;
    overflow: hidden;
    position: sticky;
    top: 0;
    z-index: 1;
    background-color: #0C322B;
}

.marca {
    margin-left: 98px;
}

.nav-enlaces {
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.nav-links {
    font-family: 'Montserrat', sans-serif;
    font-size: 16px;
    list-style: none;
    display: flex;
}

.inicio,
.contactar {
    text-decoration: none;
    color: white;
    margin-right: 50px;
}

.nav-button {
    width: 144px;
    height: 48px;
    padding: 12px 32px;
    margin-right: 98px;
    font-size: 16px;
    background-color: #33D8B8;
    color: black;
    border: none;
    border-radius: 48px;
    cursor: pointer;
}

.nav-button:hover {
    background-color: #C0EEE2;
}


.inicio:hover,
.contactar:hover {
    color: #33D8B8;
}

.marca:hover {
    transform: scale(1.3);
}

.burger {
    display: none;
    flex-direction: column;
    justify-content: space-between;
    width: 50px;
    height: 30px;
    padding: 16px 12px;
    margin-right: 30px;
}

.burger>div {
    height: 4px;
    background-color: #33D8B8;
}



@media screen and (max-width: 800px) {
    .burger {
        display: flex;
    }

    .nav-enlaces {
        display: none;
        flex-direction: column;
        align-items: center;
    }

    .nav-enlaces.active {
        display: flex;
        flex-direction: column;
        align-items: center;
        position: absolute;
        right: 8px;
        top: 80px;
        background-color: #0C322B;
        width: 150px;
        height: 200px;
        padding-bottom: 30px;
        overflow: hidden;
    }

    .nav-enlaces.active .nav-links {
        flex-direction: column;
        align-items: center;
    }

    .nav-enlaces.active .nav-li {
        margin-bottom: 20px;
        margin-top: 20px;
        margin-left: 25px;
    }

    .nav-enlaces.active .nav-button {
        margin-left: 98px;
    }
}

.primeraZonaVerde_JI {
    display: flex;
    flex-direction: column;
    width: 100%;
    height: auto;
    align-items: center;
    color: white;
    justify-content: center;
    text-align: center;
}

.video-container {
    top: 0.5rem;
    width: 99.1%;
    max-width: 99.99%;
    margin: auto;
    height: auto;
    position: absolute;
    display: flex;
    justify-content: center;
}

.videoFondo_JI {
    position: relative;
    z-index: -2;
    max-width: 100%;
    overflow: hidden;
    width: 100%;
    height: auto;
    padding-bottom: 56.25%;
    top: 0 auto;
    margin: 0;
}

.videoFondo_JI video {
    width: 100%;
    display: block;
    top: 0 auto;
    margin-top: 0;
}

.titulo_JI {
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: 2rem;
    margin-top: 5rem;
    text-align: center;
    width: 80%;
    color: orange;
    background-color: transparent;
    position: absolute;
    overflow: hidden;
}

.botonesFrase_JI {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    bottom: 13%;
    vertical-align: bottom;
    margin-top: 35%;
    color: white;
}

.Botones_JI {
    display: flex;
    margin: 10%;
    width: 50%;
    justify-content: space-around;
}

.soy_JI {
    text-decoration: none;
    font-weight: 600;
    font-size: 1rem;
    color: white;
    padding: 1rem;
    background-color: #33D8B8;
    border-radius: 2rem;
}

.Busco_JI {
    text-decoration: none;
    font-weight: 600;
    font-size: 1rem;
    color: white;
    padding: 1rem;
    background-color: transparent;
    border-radius: 2rem;
    border: 0.3rem solid #33D8B8;
}

@media screen and (max-width: 1500px) {

    .titulo_JI {
        font-size: 1rem;
        margin-top: 3rem;
    }

    .botonesFrase_JI {
        background-color: #0C322B;
        width: 100%;
    }

}

@media screen and (max-width: 550px) {

    .titulo_JI {
        font-size: 0.7rem;
        margin-top: 3rem;
    }


}

#video-background {
    position: fixed;
    right: 0;
    top: 0;
    bottom: 0;
    width: 100%;
    height: 100%;
    min-width: 100%;
    min-height: 100%;
    z-index: -1;
}

.contenedor_todo {
    width: 100%;
    max-width: 80rem;
    margin: auto;
    position: relative;
}

.caja_trasera {
    height: 100%;
    width: 100%;
    padding: 10px 20px;
    display: flex;
    justify-content: center;
    backdrop-filter: blur(10px);
    background-color: rgba(51, 51, 51, 0);
}

.caja_trasera div {
    margin: 100px 40px;
    color: aliceblue;
    transition: all 500ms;
}

.caja_trasera div p,
.caja_trasera div button {
    margin-top: 30px;
}

.caja_trasera div h3 {
    font-weight: 400;
    font-size: 26px;
}

.caja_trasera button {
    padding: 10px 40px;
    border: 2px solid white;
    background: transparent;
    font-size: 14px;
    font-weight: 600;
    cursor: pointer;
    color: rgb(255, 255, 255);
    outline: none;
    transition: all 300ms;
}

.caja_trasera button:hover {
    background-color: rgb(112, 126, 195);
    color: black;
}

.contenedor_loginRegister {
    display: flex;
    align-items: center;
    width: 100%;
    max-width: 380px;
    position: relative;
    top: -185px;
    left: 10px;
    transition: left 500ms cubic-bezier(0.075, 0.885, 0.320, 1.275);
}

.contenedor_loginRegister form {
    width: 100%;
    padding: 80px 20px;
    background: rgb(72, 98, 132);
    position: absolute;
    border-radius: 20px;
}

.contenedor_loginRegister form h2 {
    font-size: 30px;
    text-align: center;
    margin-bottom: 20px;
    color: rgb(23, 10, 10);
}

.contenedor_loginRegister form input {
    width: 100%;
    margin-top: 20px;
    padding: 10px;
    border: none;
    background: aliceblue;
    font-size: 16px;
    outline: none;
}

.contenedor_loginRegister form button {
    padding: 10px 40px;
    margin-top: 40px;
    border: none;
    font-size: 14px;
    background: rgb(22, 159, 137);
    color: white;
    cursor: pointer;
    outline: none;

}

.formulario_login {
    opacity: 1;
    display: block;
}

.formulario_register {
    display: none;
}

@media screen and (max-width: 850px) {
    main {
        margin-top: 50px;
    }

    .caja_trasera {
        max-width: 350px;
        height: 300px;
        flex-direction: column;
        margin: auto;
    }

    .caja_trasera div {
        margin: 0px;
        position: absolute;
    }

    .contenedor_loginRegister {
        top: -10px;
        left: -5px;
        margin: auto;
    }

    .contenedor_loginRegister form {
        position: relative;
    }
}

.info-web {
    width: 100%;
    display: flex;
    justify-content: space-around;
    align-items: center;
    flex-direction: column;
}

.info-web h1 {
    padding-top: 5%;
    color: #0C322B;
    margin-bottom: 5%;
    font-size: 50px;
    justify-content: center;
}

.info-web p {
    font-size: 25px;
}

.info-web h2 {
    font-size: 30px;
}

.images-container {
    display: flex;
    align-items: flex-end;
    right: 30px;
    float: right;
    padding-top: 5%;
    padding-bottom: 5%;
}

.images-container img {
    width: 250px;
    height: auto;
}

.img-boy {
    padding-top: 30px;
}

.img-girl {
    padding-bottom: 40px;
}

.intersection1 h1 {
    text-align: center;
}

.intersection1 {
    background-color: #33D8B8;
    border: 100px;
    height: 500px;
    display: flex;
    justify-content: space-around;
    align-items: center;
}

.img-2boy {
    display: flex;
    align-items: flex-end;
    top: 80px;
    right: 30px;
    float: left;
    padding-top: 40px;
    width: 600px;
}

.funtion-infoweb {
    padding-bottom: 40px;
}

@media screen and (max-width: 768px) {
    .container {
        flex-direction: column;
    }

    .info-web {
        width: 100%;
    }

    .info-web h1,
    .info-web p,
    .info-web h2,
    .intersection1 h1 {
        text-align: center;
        margin-left: 20px;
        margin-right: 20px;
    }

    .info-web h1 {
        padding-top: 20px;
        margin-bottom: 20px;
        font-size: 30px;
    }

    .info-web p {
        font-size: 18px;
    }

    .info-web h2 {
        font-size: 24px;
    }

    .images-container {
        align-items: center;
        justify-content: center;
        flex-direction: column;
        padding-top: 20px;
    }

    .images-container img {
        width: 100%;
        max-width: 250px;
        height: auto;
    }

    .img-boy {
        padding-top: 20px;
    }

    .container-filtro {
        display: none;
    }

    .img-girl {
        padding-bottom: 20px;
    }

    .intersection1 {
        height: auto;
        padding: 20px;
    }

    .img-2boy {
        display: block;
        margin: 0 auto;
        width: 100%;
        max-width: 600px;
    }
}

.unete {
    background-color: #0C322B;
    text-align: center;
    height: 414px;
    width: 100%;
}

.textunete {
    font-family: 'Montserrat', sans-serif;
    text-align: center;
    color: white;
    padding-top: 120px;
    padding-bottom: 30px;
}

.unete-h2 {
    font-weight: 400;
    font-size: 32px;
}

.conectando-h3 {
    font-size: 20px;
    font-weight: 400;
    margin-top: 30px;
}

.buttons {
    display: flex;
    justify-content: center;
    margin-top: 30px;
}

.soy-button {
    width: 200px;
    height: 35px;
    background-color: #33D8B8;
    color: #0C322B;
    border: none;
    border-radius: 50px;
    cursor: pointer;
    font-weight: bold;
}

.busco-button {
    width: 200px;
    height: 35px;
    background-color: #33D8B8;
    color: #0C322B;
    border: none;
    border-radius: 50px;
    cursor: pointer;
    margin-left: 5%;
    font-weight: bold;
}

.soy-button:hover,
.busco-button:hover {
    background-color: #C0EEE2;
}

@media screen and (max-width: 530px) {

    .textunete {
        padding-top: 20px;
    }

    .unete-h2,
    .conectando-h3 {
        padding: 0 70px;
    }

    .buttons {
        width: 328px;
        margin: auto;
        flex-direction: column;
        align-items: center;
    }

    .busco-button {
        margin-left: 0;
        margin-top: 20px;
    }
}

.contenedor-cards {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-around;
    padding: 20px;
}

.card {
    box-sizing: border-box;
    width: 45%;
    margin: 10px;
    border: 1px solid #ddd;
    border-radius: 8px;
    overflow: hidden;
    background-color: #F8FAFC;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
    padding: 20px;
}

.card img {
    width: 100%;
    height: auto;
    border-bottom: 1px solid #ddd;
}

.descripcion {
    padding: 10px;
    line-height: 1.5;
}

.boton-circular,
.boton-circular-dos {
    width: 200px;
    height: 35px;
    background-color: #33D8B8;
    color: #0C322B;
    border: none;
    border-radius: 50px;
    cursor: pointer;
    margin-left: 5%;
    cursor: pointer;
    font-weight: bold;
    transition: background-color 0.3s, transform 0.3s, box-shadow 0.3s;
}

.boton-circular:hover {
    background-color: #2980b9;
    transform: scale(1.1);
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.2);
    color: white;
}

.boton-circular-dos:hover {
    background-color: #2980b9;
    transform: scale(1.1);
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.2);
}


.boton-circular {
    margin-top: 4%;
}

.boton-circular-dos {
    background-color: #0C322B;
    color: white;
}

.h2cards {
    margin-left: 3%;
}

.conectando {
    background-color: #C0EEE2;
    text-align: center;
    height: 336px;
    width: 100%;
}

.text-conectando {
    font-family: 'Montserrat', sans-serif;
    text-align: center;
    color: #0C322B;
    padding: 90px 0;
}

.desmos-h2 {
    font-weight: 400;
    font-size: 32px;
}

.conectando-h3 {
    font-size: 20px;
    font-weight: 400;
    margin-top: 20px;
}

.container-footer {
    background-color: #0C322B;
    color: #fff;
    text-align: center;
    padding: 40px;
    position: relative;
    width: 100%;
    box-sizing: border-box;
}

.footer-logo {
    display: inline-block;
    vertical-align: middle;
    width: 140px;
    height: 40px;
    margin-top: -3.5px;
    margin-left: -50px;
}

.terms-link {
    color: #fff;
    text-decoration: none;
    margin: 0 20px;
    font-size: 18px;
    margin: 200px;
}

.contenido-footer {
    margin: 0 auto;
    max-width: 1400px;
}

.social-icons {
    display: inline-block;
    position: absolute;

    top: 48%;
    transform: translateY(-50%);
}

.social-icons a {
    display: inline-block;
    color: #fff;
    text-decoration: none;
    font-size: 20px;
}

.logo-footer {
    height: 30px;
    width: 30px;
    padding: 20px;
}

.logo_grande {
    height: 32px;
    width: 32px;
    padding: 20px;
}

@media only screen and (max-width: 1000px) {
    .footer-logo {
        display: block;
        margin: 0 auto;
    }

    .terms-link {
        font-size: 14px;
        margin: 10px 0;
        text-align: center;
    }

    .contenido-footer {
        flex-direction: row;
        justify-content: space-between;
    }

    .social-icons {
        position: static;
        text-align: center;
        margin-top: 20px;
    }

    .social-icons a {
        display: inline-block;
        margin: 7px;
        margin-top: 10%;
    }

    .logo-footer {
        height: 20px;
        width: 20px;
        padding: 10px;
    }

    .logo_grande {
        height: 24px;
        width: 24px;
        padding: 10px;
    }

    .developer-filter {
        flex-direction: column;
    }

    .filter-section {
        width: 100%;
        margin-bottom: 15px;
    }

}

@media only screen and (min-width: 745px) and (max-width: 1531px) {
    .footer-logo {
        display: block;
        margin: 0 auto;
        height: 100px;
        padding: 10px;
        margin-top: -50px;
    }

    .contenido-footer {
        display: flex;
        flex-direction: column;
        align-items: center;
        height: 150px;
    }

    .social-icons {
        text-align: center;
        margin-left: 0;
        margin-top: 45px;
        padding: 10px;
    }

    .footer-logo-container {
        display: flex;
        height: 40px;
    }

    .terms-link {
        margin-top: -1px;
        padding: 10px;
    }
}



.contenedor-cards {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-around;
    padding: 20px;
}

.card {
    box-sizing: border-box;
    width: 45%;
    margin: 10px;
    border: 1px solid #ddd;
    border-radius: 8px;
    overflow: hidden;
    background-color: #F8FAFC;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
    padding: 20px;
}

.card img {
    width: 100%;
    height: auto;
    border-bottom: 1px solid #ddd;
}

.descripcion {
    padding: 10px;
    line-height: 1.5;
}

.boton-circular,
.boton-circular-dos {
    width: 200px;
    height: 35px;
    background-color: #33D8B8;
    color: #0C322B;
    border: none;
    border-radius: 50px;
    cursor: pointer;
    margin-left: 5%;
    cursor: pointer;
    font-weight: bold;
    transition: background-color 0.3s, transform 0.3s, box-shadow 0.3s;
}

.boton-circular:hover,
.boton-circular-dos:hover {
    background-color: #2980b9;
    transform: scale(1.1);
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.2);
    color: white;
}

.boton-circular {
    margin-top: 4%;
}

.boton-circular-dos {
    background-color: #0C322B;
    color: white;
}

.h2cards {
    margin-left: 3%;
}

@media screen and (max-width: 768px) {
    .card {
        width: 100%;
    }
}

